> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-postgresql-tls-support.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List all invitations

> Returns list of all organization invitations.

Returns list of all organization invitations.


## OpenAPI

````yaml /_specs/cloud-openapi.json get /v1/organizations/{organizationId}/invitations
openapi: 3.1.2
info:
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
  contact:
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-910487
    email: support@clickhouse.com
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Role Management
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
  - name: ClickStack
  - name: Postgres
paths:
  /v1/organizations/{organizationId}/invitations:
    get:
      tags:
        - User management
      summary: List all invitations
      description: Returns list of all organization invitations.
      operationId: invitationGetList
      parameters:
        - in: path
          name: organizationId
          description: ID of the requested organization.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 200
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
                  result:
                    type: array
                    items:
                      $ref: '#/components/schemas/Invitation'
        '400':
          description: >-
            The request cannot be processed due to a client error. Please verify
            your request parameters and try again.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 400
                  error:
                    type: string
                    description: Detailed error description.
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
        '500':
          description: >-
            An internal server error has occurred. If this issue persists,
            please contact ClickHouse Cloud support for assistance.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    description: HTTP status code.
                    example: 500
                  error:
                    type: string
                    description: Detailed error description.
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
components:
  schemas:
    Invitation:
      properties:
        role:
          description: >-
            DEPRECATED. Use `assignedRoles` instead. Role of the invited user in
            the organization. For organizations that have migrated to custom
            roles, this field is frozen at the pre-migration value and does not
            reflect the role assignment that will be applied.
          type: string
          enum:
            - admin
            - developer
          deprecated: true
        id:
          description: Unique invitation ID.
          type: string
          format: uuid
        email:
          description: >-
            Email of the invited user. Only a user with this email can join
            using the invitation. The email is stored in a lowercase form.
          type: string
          format: email
        createdAt:
          description: Invitation creation timestamp. ISO-8601.
          type: string
          format: date-time
        expireAt:
          description: Timestamp the invitation expires. ISO-8601.
          type: string
          format: date-time
        assignedRoles:
          type: array
          description: >-
            Custom roles and System roles that will be assigned to the user when
            they accept the invitation
          items:
            $ref: '#/components/schemas/AssignedRole'
    AssignedRole:
      properties:
        roleId:
          description: Unique identifier of the role
          type: string
          format: uuid
        roleName:
          description: Human-readable name of the role
          type: string
        roleType:
          description: 'Type of role: system (predefined) or custom (organization-defined)'
          type: string
          enum:
            - system
            - custom
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use key ID and key secret obtained in ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi

````